import React, { FC } from 'react';
import { GestureResponderEvent, StyleProp, ViewStyle } from 'react-native';
import { ListItemProps } from '@procyon/components/ListItem';
export type ListData = {
    name: string;
    value: string;
};
export type ListProps<Items extends ListData[]> = {
    Item?: FC<ListItemProps<Items[number]>>;
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    compact?: boolean;
    data?: Items;
    mode?: 'view' | 'interactive';
    onClick?: (event: GestureResponderEvent, value: string) => void;
    selected?: string;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    style?: {
        container?: StyleProp<ViewStyle>;
        list?: StyleProp<ViewStyle>;
    };
};
export declare const List: <Items extends ListData[]>({ style, data, selected, Item, ...props }: ListProps<Items>) => React.JSX.Element;
